Subject: Re: [PATCH] 2.6 UDP recvmsg vs POSIX

From: Olaf Kirch <[email-masked]>
Date: Tue, 24 Feb 2004 10:32:34 +0100

On Mon, Feb 23, 2004 at 09:42:16AM -0800, David S. Miller wrote:
> Therefore, the only bug was returning -EAGAIN unconditionally and that's
> what is fixed by the correct half of your changes.
> 
> TCP does the same thing Olaf, and there is no way I'm adding the gross poll
> hacks there :-)

Okay, I can live with that. I will push this info to our posix
guys and let them chew on it.

UDPv6 needs the exact same fix BTW.

Cheers,
Olaf
-- 
Olaf Kirch     |  Stop wasting entropy - start using predictable
[email-masked]   |  tempfile names today!
---------------+